# domain
# email         = email for letsencrypt
# project.dir

- name: Nginx - install system packages
  apt: 
    name:
      - nginx

- name: Nginx - delete default config
  file: 
    path : /etc/nginx/sites-enabled/default 
    state: absent

- name: Nginx - copy http config for back
  template:
    src   : templates/http.back.conf
    dest  : "/etc/nginx/sites-available/http.{{ domain }}.conf"
    mode  : 0644

- name: Nginx - create symlink 
  file: 
    src  : "/etc/nginx/sites-available/http.{{ domain }}.conf"
    dest : "/etc/nginx/sites-enabled/http.{{ domain }}.conf"
    owner: root
    group: root
    state: link

- name: restart nginx
  systemd: state=restarted name=nginx daemon_reload=yes
